# Serialized Form

## Package net.fortuna.ical4j.data

### Class net.fortuna.ical4j.data.ParserException extends Exception implements Serializable

serialVersionUID:
  6116644246112002214L

### Serialized Fields

#### lineNo

    int lineNo

## Package net.fortuna.ical4j.model

### Class net.fortuna.ical4j.model.AddressList extends Object implements Serializable

serialVersionUID:
  81383256078213569L

### Serialized Fields

#### addresses

    List<E> addresses

### Class net.fortuna.ical4j.model.Calendar extends Object implements Serializable

serialVersionUID:
  -1654118204678581940L

### Serialized Fields

#### properties

    PropertyList properties

#### components

    ComponentList components

### Class net.fortuna.ical4j.model.CalendarException extends RuntimeException implements Serializable

serialVersionUID:
  3994967097251100771L

### Class net.fortuna.ical4j.model.Component extends Object implements Serializable

serialVersionUID:
  4943193483665822201L

### Serialized Fields

#### name

    String name

#### properties

    PropertyList properties

### Class net.fortuna.ical4j.model.ComponentList extends ArrayList implements Serializable

serialVersionUID:
  7308557606558767449L

### Class net.fortuna.ical4j.model.ConstraintViolationException extends Exception implements Serializable

serialVersionUID:
  6728653187698888940L

### Class net.fortuna.ical4j.model.Content extends Object implements Serializable

serialVersionUID:
  -2892694760294583989L

### Class net.fortuna.ical4j.model.Date extends Iso8601 implements Serializable

serialVersionUID:
  7136072363141363141L

### Class net.fortuna.ical4j.model.DateList extends Object implements Serializable

serialVersionUID:
  -3700862452550012357L

### Serialized Fields

#### type

    Value type

#### dates

    List<E> dates

#### timeZone

    TimeZone timeZone

#### utc

    boolean utc

### Class net.fortuna.ical4j.model.DateRange extends Object implements Serializable

serialVersionUID:
  -7303846680559287286L

### Serialized Fields

#### rangeStart

    Date rangeStart

#### rangeEnd

    Date rangeEnd

### Class net.fortuna.ical4j.model.DateTime extends Date implements Serializable

serialVersionUID:
  -6407231357919440387L

### Serialized Fields

#### time

    Time time

#### timezone

    TimeZone timezone

### Class net.fortuna.ical4j.model.Dur extends Object implements Serializable

serialVersionUID:
  5013232281547134583L

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream stream)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

### Serialized Fields

#### negative

    boolean negative

#### weeks

    int weeks

#### days

    int days

#### hours

    int hours

#### minutes

    int minutes

#### seconds

    int seconds

### Class net.fortuna.ical4j.model.Iso8601 extends Date implements Serializable

serialVersionUID:
  -4290728005713946811L

### Serialized Fields

#### format

    DateFormat format

#### gmtFormat

    DateFormat gmtFormat

#### precision

    int precision

### Class net.fortuna.ical4j.model.LocationTypeList extends Object implements Serializable

serialVersionUID:
  -9181735547604179160L

### Serialized Fields

#### locationTypes

    List<E> locationTypes

### Class net.fortuna.ical4j.model.NumberList extends ArrayList implements Serializable

serialVersionUID:
  -1667481795613729889L

### Serialized Fields

#### minValue

    int minValue

#### maxValue

    int maxValue

#### allowsNegativeValues

    boolean allowsNegativeValues

### Class net.fortuna.ical4j.model.Parameter extends Content implements Serializable

serialVersionUID:
  -2058497904769713528L

### Serialized Fields

#### name

    String name

#### factory

    ParameterFactory factory

### Class net.fortuna.ical4j.model.ParameterFactoryImpl extends AbstractContentFactory implements Serializable

serialVersionUID:
  -4034423507432249165L

### Class net.fortuna.ical4j.model.ParameterFactoryRegistry extends ParameterFactoryImpl implements Serializable

serialVersionUID:
  -3372324894953715583L

### Class net.fortuna.ical4j.model.ParameterList extends Object implements Serializable

serialVersionUID:
  -1913059830016450169L

### Serialized Fields

#### parameters

    List<E> parameters

### Class net.fortuna.ical4j.model.Period extends DateRange implements Serializable

serialVersionUID:
  7321090422911676490L

### Serialized Fields

#### duration

    Dur duration

### Class net.fortuna.ical4j.model.PeriodList extends Object implements Serializable

serialVersionUID:
  -2317587285790834492L

### Serialized Fields

#### periods

    Set<E> periods

#### timezone

    TimeZone timezone

#### utc

    boolean utc

#### unmodifiable

    boolean unmodifiable

### Class net.fortuna.ical4j.model.Property extends Content implements Serializable

serialVersionUID:
  7048785558435608687L

### Serialized Fields

#### name

    String name

#### parameters

    ParameterList parameters

#### factory

    PropertyFactory factory

### Class net.fortuna.ical4j.model.PropertyFactoryImpl extends AbstractContentFactory implements Serializable

serialVersionUID:
  -7174232004486979641L

### Class net.fortuna.ical4j.model.PropertyFactoryRegistry extends PropertyFactoryImpl implements Serializable

serialVersionUID:
  3924903719847189199L

### Class net.fortuna.ical4j.model.PropertyList extends ArrayList implements Serializable

serialVersionUID:
  -8875923766224921031L

### Class net.fortuna.ical4j.model.Recur extends Object implements Serializable

serialVersionUID:
  -7333226591784095142L

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream stream)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

### Serialized Fields

#### frequency

    String frequency

#### until

    Date until

#### count

    int count

#### interval

    int interval

#### secondList

    NumberList secondList

#### minuteList

    NumberList minuteList

#### hourList

    NumberList hourList

#### dayList

    WeekDayList dayList

#### monthDayList

    NumberList monthDayList

#### yearDayList

    NumberList yearDayList

#### weekNoList

    NumberList weekNoList

#### monthList

    NumberList monthList

#### setPosList

    NumberList setPosList

#### weekStartDay

    String weekStartDay

#### calendarWeekStartDay

    int calendarWeekStartDay

#### experimentalValues

    Map<K,V> experimentalValues

#### calIncField

    int calIncField

### Class net.fortuna.ical4j.model.TextList extends Object implements Serializable

serialVersionUID:
  -417427815871330636L

### Serialized Fields

#### texts

    List<E> texts

### Class net.fortuna.ical4j.model.Time extends Iso8601 implements Serializable

serialVersionUID:
  -8401010870773304348L

### Serialized Fields

#### utc

    boolean utc

### Class net.fortuna.ical4j.model.TimeZone extends TimeZone implements Serializable

serialVersionUID:
  -5620979316746547234L

### Serialized Fields

#### vTimeZone

    VTimeZone vTimeZone

#### rawOffset

    int rawOffset

### Class net.fortuna.ical4j.model.UtcOffset extends Object implements Serializable

serialVersionUID:
  5883111996721531728L

### Serialized Fields

#### offset

    long offset

### Class net.fortuna.ical4j.model.ValidationException extends Exception implements Serializable

serialVersionUID:
  309245291364742896L

### Class net.fortuna.ical4j.model.WeekDay extends Object implements Serializable

serialVersionUID:
  -4412000990022011469L

### Serialized Fields

#### day

    String day

#### offset

    int offset

### Class net.fortuna.ical4j.model.WeekDayList extends ArrayList implements Serializable

serialVersionUID:
  1243262497035300445L

## Package net.fortuna.ical4j.model.component

### Class net.fortuna.ical4j.model.component.Available extends Component implements Serializable

serialVersionUID:
  -2494710612002978763L

### Class net.fortuna.ical4j.model.component.CalendarComponent extends Component implements Serializable

serialVersionUID:
  -5832972592377720592L

### Class net.fortuna.ical4j.model.component.Daylight extends Observance implements Serializable

serialVersionUID:
  -2494710612002978763L

### Class net.fortuna.ical4j.model.component.Observance extends Component implements Serializable

serialVersionUID:
  2523330383042085994L

### Serialized Fields

#### onsetsMillisec

    long[] onsetsMillisec

#### onsetsDates

    DateTime[] onsetsDates

#### onsets

    Map<K,V> onsets

#### initialOnset

    Date initialOnset

#### onsetLimit

    Date onsetLimit

### Class net.fortuna.ical4j.model.component.Standard extends Observance implements Serializable

serialVersionUID:
  -4750910013406451159L

### Class net.fortuna.ical4j.model.component.VAlarm extends CalendarComponent implements Serializable

serialVersionUID:
  -8193965477414653802L

### Serialized Fields

#### actionValidators

    Map<K,V> actionValidators

#### itipValidator

    Validator itipValidator

### Class net.fortuna.ical4j.model.component.VAvailability extends CalendarComponent implements Serializable

serialVersionUID:
  -3001603309266267258L

### Serialized Fields

#### available

    ComponentList available

### Class net.fortuna.ical4j.model.component.VEvent extends CalendarComponent implements Serializable

serialVersionUID:
  2547948989200697335L

### Serialized Fields

#### methodValidators

    Map<K,V> methodValidators

#### alarms

    ComponentList alarms

### Class net.fortuna.ical4j.model.component.VFreeBusy extends CalendarComponent implements Serializable

serialVersionUID:
  1046534053331139832L

### Serialized Fields

#### methodValidators

    Map<K,V> methodValidators

### Class net.fortuna.ical4j.model.component.VJournal extends CalendarComponent implements Serializable

serialVersionUID:
  -7635140949183238830L

### Serialized Fields

#### methodValidators

    Map<K,V> methodValidators

### Class net.fortuna.ical4j.model.component.VTimeZone extends CalendarComponent implements Serializable

serialVersionUID:
  5629679741050917815L

### Serialized Fields

#### itipValidator

    Validator itipValidator

#### observances

    ComponentList observances

### Class net.fortuna.ical4j.model.component.VToDo extends CalendarComponent implements Serializable

serialVersionUID:
  -269658210065896668L

### Serialized Fields

#### methodValidators

    Map<K,V> methodValidators

#### alarms

    ComponentList alarms

### Class net.fortuna.ical4j.model.component.VVenue extends CalendarComponent implements Serializable

serialVersionUID:
  4502423035501438515L

### Class net.fortuna.ical4j.model.component.XComponent extends CalendarComponent implements Serializable

serialVersionUID:
  -3622674849097714927L

## Package net.fortuna.ical4j.model.parameter

### Class net.fortuna.ical4j.model.parameter.Abbrev extends Parameter implements Serializable

serialVersionUID:
  -8650841407406422738L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.AltRep extends Parameter implements Serializable

serialVersionUID:
  -2445932592596993470L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.model.parameter.Cn extends Parameter implements Serializable

serialVersionUID:
  -8087119055007093293L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.CuType extends Parameter implements Serializable

serialVersionUID:
  -3134064324693983052L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.DelegatedFrom extends Parameter implements Serializable

serialVersionUID:
  -795956139235258568L

### Serialized Fields

#### delegators

    AddressList delegators

### Class net.fortuna.ical4j.model.parameter.DelegatedTo extends Parameter implements Serializable

serialVersionUID:
  567577003350648021L

### Serialized Fields

#### delegatees

    AddressList delegatees

### Class net.fortuna.ical4j.model.parameter.Dir extends Parameter implements Serializable

serialVersionUID:
  -8581904779721020689L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.model.parameter.Encoding extends Parameter implements Serializable

serialVersionUID:
  7536336461076399077L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.FbType extends Parameter implements Serializable

serialVersionUID:
  -2217689716824679375L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.FmtType extends Parameter implements Serializable

serialVersionUID:
  -8764966004966855480L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.Language extends Parameter implements Serializable

serialVersionUID:
  4864176270266226608L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.Member extends Parameter implements Serializable

serialVersionUID:
  287348849443687499L

### Serialized Fields

#### groups

    AddressList groups

### Class net.fortuna.ical4j.model.parameter.PartStat extends Parameter implements Serializable

serialVersionUID:
  -7856347127343842441L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.Range extends Parameter implements Serializable

serialVersionUID:
  -3057531444558393776L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.Related extends Parameter implements Serializable

serialVersionUID:
  1570525804115869565L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.RelType extends Parameter implements Serializable

serialVersionUID:
  5346030888832899016L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.Role extends Parameter implements Serializable

serialVersionUID:
  1438225631470825963L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.Rsvp extends Parameter implements Serializable

serialVersionUID:
  -5381653882942018012L

### Serialized Fields

#### rsvp

    Boolean rsvp

### Class net.fortuna.ical4j.model.parameter.ScheduleAgent extends Parameter implements Serializable

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.ScheduleStatus extends Parameter implements Serializable

serialVersionUID:
  -96936874776850075L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.SentBy extends Parameter implements Serializable

serialVersionUID:
  -1169413145174029391L

### Serialized Fields

#### address

    URI address

### Class net.fortuna.ical4j.model.parameter.Type extends Parameter implements Serializable

serialVersionUID:
  -1153398789161059941L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.TzId extends Parameter implements Serializable

serialVersionUID:
  2366516258055857879L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.Value extends Parameter implements Serializable

serialVersionUID:
  -7238642734500301768L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.Vvenue extends Parameter implements Serializable

serialVersionUID:
  -8381878834513491869L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.parameter.XParameter extends Parameter implements Serializable

serialVersionUID:
  -3372153616695145903L

### Serialized Fields

#### value

    String value

## Package net.fortuna.ical4j.model.property

### Class net.fortuna.ical4j.model.property.Action extends Property implements Serializable

serialVersionUID:
  -2353353838411753712L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Attach extends Property implements Serializable

serialVersionUID:
  4439949507756383452L

### Serialized Fields

#### uri

    URI uri

#### binary

    byte[] binary

### Class net.fortuna.ical4j.model.property.Attendee extends Property implements Serializable

serialVersionUID:
  8430929418723298803L

### Serialized Fields

#### calAddress

    URI calAddress

### Class net.fortuna.ical4j.model.property.BusyType extends Property implements Serializable

serialVersionUID:
  -5140360270562621159L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.CalScale extends Property implements Serializable

serialVersionUID:
  7446184786984981423L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Categories extends Property implements Serializable

serialVersionUID:
  -7769987073466681634L

### Serialized Fields

#### categories

    TextList categories

### Class net.fortuna.ical4j.model.property.Clazz extends Property implements Serializable

serialVersionUID:
  4939943639175551481L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Comment extends Property implements Serializable

serialVersionUID:
  7519125697719626308L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Completed extends UtcProperty implements Serializable

serialVersionUID:
  6824213281785639181L

### Class net.fortuna.ical4j.model.property.Contact extends Property implements Serializable

serialVersionUID:
  -4776654229643771385L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Country extends Property implements Serializable

serialVersionUID:
  -8091183292558005452L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Created extends UtcProperty implements Serializable

serialVersionUID:
  -8658935097721652961L

### Class net.fortuna.ical4j.model.property.DateListProperty extends Property implements Serializable

serialVersionUID:
  5233773091972759919L

### Serialized Fields

#### dates

    DateList dates

#### timeZone

    TimeZone timeZone

### Class net.fortuna.ical4j.model.property.DateProperty extends Property implements Serializable

serialVersionUID:
  3160883132732961321L

### Serialized Fields

#### date

    Date date

#### timeZone

    TimeZone timeZone

### Class net.fortuna.ical4j.model.property.Description extends Property implements Serializable

serialVersionUID:
  7287564228220558361L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.DtEnd extends DateProperty implements Serializable

serialVersionUID:
  8107416684717228297L

### Class net.fortuna.ical4j.model.property.DtStamp extends UtcProperty implements Serializable

serialVersionUID:
  7581197869433744070L

### Class net.fortuna.ical4j.model.property.DtStart extends DateProperty implements Serializable

serialVersionUID:
  -5707097476081111815L

### Class net.fortuna.ical4j.model.property.Due extends DateProperty implements Serializable

serialVersionUID:
  -2965312347832730406L

### Class net.fortuna.ical4j.model.property.Duration extends Property implements Serializable

serialVersionUID:
  9144969653829796798L

### Serialized Fields

#### duration

    Dur duration

### Class net.fortuna.ical4j.model.property.ExDate extends DateListProperty implements Serializable

serialVersionUID:
  2635730172243974463L

### Class net.fortuna.ical4j.model.property.ExRule extends Property implements Serializable

serialVersionUID:
  -9171193801247139294L

### Serialized Fields

#### recur

    Recur recur

### Class net.fortuna.ical4j.model.property.ExtendedAddress extends Property implements Serializable

serialVersionUID:
  6506776332370144983L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.FreeBusy extends Property implements Serializable

serialVersionUID:
  -6415954847619338567L

### Serialized Fields

#### periods

    PeriodList periods

### Class net.fortuna.ical4j.model.property.Geo extends Property implements Serializable

serialVersionUID:
  -902100715801867636L

### Serialized Fields

#### latitude

    BigDecimal latitude

#### longitude

    BigDecimal longitude

### Class net.fortuna.ical4j.model.property.LastModified extends UtcProperty implements Serializable

serialVersionUID:
  5288572652052836062L

### Class net.fortuna.ical4j.model.property.Locality extends Property implements Serializable

serialVersionUID:
  -2324296161017475527L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Location extends Property implements Serializable

serialVersionUID:
  8651881536125682401L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.LocationType extends Property implements Serializable

serialVersionUID:
  -3541686430899510312L

### Serialized Fields

#### locationTypes

    LocationTypeList locationTypes

### Class net.fortuna.ical4j.model.property.Method extends Property implements Serializable

serialVersionUID:
  7220956532685378719L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Name extends Property implements Serializable

serialVersionUID:
  -6930099834219160086L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Organizer extends Property implements Serializable

serialVersionUID:
  -5216965653165090725L

### Serialized Fields

#### calAddress

    URI calAddress

### Class net.fortuna.ical4j.model.property.PercentComplete extends Property implements Serializable

serialVersionUID:
  7788138484983240112L

### Serialized Fields

#### percentage

    int percentage

### Class net.fortuna.ical4j.model.property.Postalcode extends Property implements Serializable

serialVersionUID:
  1983456638722378724L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Priority extends Property implements Serializable

serialVersionUID:
  -5654367843953827397L

### Serialized Fields

#### level

    int level

### Class net.fortuna.ical4j.model.property.ProdId extends Property implements Serializable

serialVersionUID:
  -2433059917714523286L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.RDate extends DateListProperty implements Serializable

serialVersionUID:
  -3320381650013860193L

### Serialized Fields

#### periods

    PeriodList periods

### Class net.fortuna.ical4j.model.property.RecurrenceId extends DateProperty implements Serializable

serialVersionUID:
  4456883817126011006L

### Class net.fortuna.ical4j.model.property.Region extends Property implements Serializable

serialVersionUID:
  7753849118575885600L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.RelatedTo extends Property implements Serializable

serialVersionUID:
  -109375299147319752L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Repeat extends Property implements Serializable

serialVersionUID:
  -1765522613173314831L

### Serialized Fields

#### count

    int count

### Class net.fortuna.ical4j.model.property.RequestStatus extends Property implements Serializable

serialVersionUID:
  -3273944031884755345L

### Serialized Fields

#### statusCode

    String statusCode

#### description

    String description

#### exData

    String exData

### Class net.fortuna.ical4j.model.property.Resources extends Property implements Serializable

serialVersionUID:
  -848562477226746807L

### Serialized Fields

#### resources

    TextList resources

### Class net.fortuna.ical4j.model.property.RRule extends Property implements Serializable

serialVersionUID:
  -9188265089143001164L

### Serialized Fields

#### recur

    Recur recur

### Class net.fortuna.ical4j.model.property.Sequence extends Property implements Serializable

serialVersionUID:
  -1606972893204822853L

### Serialized Fields

#### sequenceNo

    int sequenceNo

### Class net.fortuna.ical4j.model.property.Status extends Property implements Serializable

serialVersionUID:
  7401102230299289898L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.StreetAddress extends Property implements Serializable

serialVersionUID:
  6352997029056626656L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Summary extends Property implements Serializable

serialVersionUID:
  7709437653910363024L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Tel extends Property implements Serializable

serialVersionUID:
  3159826142152932485L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Transp extends Property implements Serializable

serialVersionUID:
  3801479657311785518L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Trigger extends UtcProperty implements Serializable

serialVersionUID:
  5049421499261722194L

### Serialized Fields

#### duration

    Dur duration

### Class net.fortuna.ical4j.model.property.TzId extends Property implements Serializable

serialVersionUID:
  -522764921502407137L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.TzName extends Property implements Serializable

serialVersionUID:
  -6930099834219160086L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.TzOffsetFrom extends Property implements Serializable

serialVersionUID:
  450274263165493502L

### Serialized Fields

#### offset

    UtcOffset offset

### Class net.fortuna.ical4j.model.property.TzOffsetTo extends Property implements Serializable

serialVersionUID:
  8213874575051177732L

### Serialized Fields

#### offset

    UtcOffset offset

### Class net.fortuna.ical4j.model.property.TzUrl extends Property implements Serializable

serialVersionUID:
  9106100107954797406L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.model.property.Uid extends Property implements Serializable

serialVersionUID:
  -7139407612536588584L

### Serialized Fields

#### value

    String value

### Class net.fortuna.ical4j.model.property.Url extends Property implements Serializable

serialVersionUID:
  1092576402256525737L

### Serialized Fields

#### uri

    URI uri

### Class net.fortuna.ical4j.model.property.UtcProperty extends DateProperty implements Serializable

serialVersionUID:
  4850079486497487938L

### Class net.fortuna.ical4j.model.property.Version extends Property implements Serializable

serialVersionUID:
  8872508067309087704L

### Serialized Fields

#### minVersion

    String minVersion

#### maxVersion

    String maxVersion

### Class net.fortuna.ical4j.model.property.XProperty extends Property implements Serializable

serialVersionUID:
  2331763266954894541L

### Serialized Fields

#### value

    String value